Package com.ocient.util

# Class MockQueryRegistry.QueryArgs

java.lang.Object
com.ocient.util.MockQueryRegistry.QueryArgs

Enclosing class:
  `MockQueryRegistry`

public static class MockQueryRegistry.QueryArgs extends Object
Externalized query optimization and stream configuration.

## Constructor Summary

Constructors
Constructor
Description
`QueryArgs()`

## Method Summary

Modifier and Type
Method
Description
`Map<Long,MockQueryRegistry.FetchError>`
`getErrors()`
`List<com.ocient.util.MockQueryRegistry.ColumnType>`
`getExtraColumns()`
`int`
`getNumBuffers()`
`int`
`getNumStreams()`
`MockQueryRegistry.RedirectLocation`
`getRedirectLocation()`
`boolean`
`isSequencingEnabled()`
`boolean`
`isUnsorted()`
`void`
`setErrors(Map<Long,MockQueryRegistry.FetchError> errors)`
`void`
`setExtraColumns(List<com.ocient.util.MockQueryRegistry.ColumnType> extraColumns)`
`void`
`setNumBuffers(int numBuffers)`
`void`
`setNumStreams(int numStreams)`
`void`
`setRedirectLocation(MockQueryRegistry.RedirectLocation redirectLocation)`
`void`
`setSequencingEnabled(boolean sequencingEnabled)`
`void`
`setUnsorted(boolean isUnsorted)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryArgs

public QueryArgs()

## Method Details

### getNumBuffers

public int getNumBuffers()

### setNumBuffers

public void setNumBuffers(int numBuffers)

### isSequencingEnabled

public boolean isSequencingEnabled()

### setSequencingEnabled

public void setSequencingEnabled(boolean sequencingEnabled)

### isUnsorted

public boolean isUnsorted()

### setUnsorted

public void setUnsorted(boolean isUnsorted)

### getNumStreams

public int getNumStreams()

### setNumStreams

public void setNumStreams(int numStreams)

### getRedirectLocation

public MockQueryRegistry.RedirectLocation getRedirectLocation()

### setRedirectLocation

public void setRedirectLocation(MockQueryRegistry.RedirectLocation redirectLocation)

### getErrors

public Map<Long,MockQueryRegistry.FetchError> getErrors()

### setErrors

public void setErrors(Map<Long,MockQueryRegistry.FetchError> errors)

### getExtraColumns

public List<com.ocient.util.MockQueryRegistry.ColumnType> getExtraColumns()

### setExtraColumns

public void setExtraColumns(List<com.ocient.util.MockQueryRegistry.ColumnType> extraColumns)